Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.scoringFunctions.directedGraphicalModels
Class BayesianNetworkScoringFunctionParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet
              de.jstacs.parameters.SequenceScoringParameterSet
                  de.jstacs.scoringFunctions.directedGraphicalModels.BayesianNetworkScoringFunctionParameterSet

All Implemented Interfaces:
  GalaxyConvertible, RangeIterator, Storable, Cloneable

    public class BayesianNetworkScoringFunctionParameterSet

extends SequenceScoringParameterSet

Class for the parameters of a `BayesianNetworkScoringFunction`. This class fulfills the requirements of a `SequenceScoringParameterSet` and can be used to create a new `BayesianNetworkScoringFunction`.

Author:
  Jan Grau

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`alphabet, length`

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent, ranged`

Constructor Summary
`BayesianNetworkScoringFunctionParameterSet()` Creates a new `BayesianNetworkScoringFunctionParameterSet` with empty parameter values.
`BayesianNetworkScoringFunctionParameterSet(AlphabetContainer alphabet, int length, double ess, boolean plugInParameters, Measure structureMeasure)` Creates a new `BayesianNetworkScoringFunctionParameterSet` with pre-defined parameter values.
`BayesianNetworkScoringFunctionParameterSet(StringBuffer representation)` Creates a new `BayesianNetworkScoringFunctionParameterSet` from its XML representation as defined by the `Storable` interface.

Method Summary
`double` | `getEss()` Returns the equivalent samples size (ess) defined in this set of parameters.
`String` | `getInstanceComment()` Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.
`String` | `getInstanceName()` Returns the name of an instance of the class that can be constructed using this `ParameterSet`.
`Measure` | `getMeasure()` Returns the structure `Measure` defined by this set of parameters.
`boolean` | `getPlugInParameters()` Returns true if plug-in parameters shall be used when creating a `BayesianNetworkScoringFunction` from this set of parameters.
`protected void` | `loadParameters()` Loads the parameters for this `ParameterSet`.

Methods inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`clone, equals, fromXML, getAlphabetContainer, getLength, getNumberOfParameters, getParameterAt, hasDefaultOrIsSet, replaceParametersWithRangedInstance, reset, toXML`

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`getInstance, getInstanceClass`

Methods inherited from class de.jstacs.parameters.ParameterSet
`fromGalaxy, getErrorMessage, getId, getIndex, getNumberOfValues, getParent, initParameterList, initParameterList, isAtomic, isRanged, makeRanged, next, parametersLoaded, propagateId, recieveId, resetToFirst, setParent, simplify, toGalaxy, valuesToString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BayesianNetworkScoringFunctionParameterSet

    public BayesianNetworkScoringFunctionParameterSet(AlphabetContainer alphabet,
                                                      int length,
                                                      double ess,
                                                      boolean plugInParameters,
                                                      Measure structureMeasure)
                                               throws Exception

  Creates a new `BayesianNetworkScoringFunctionParameterSet` with pre-defined parameter values.

  Parameters:
    `alphabet` - the alphabet of the scoring function boxed in an `AlphabetContainer`, e.g `new AlphabetContainer(new DNAAlphabet())`
    `length` - the length of the scoring function, i.e. the length of the sequences this scoring function can handle
    `ess` - the equivalent sample size
    `plugInParameters` - indicates if plug-in parameters, i.e. generative (MAP) parameters, shall be used upon initialization
    `structureMeasure` - the `Measure` used for the structure, e.g. `InhomogeneousMarkov`
  Throws:
    `Exception` - if the alphabet or the length are not in the expected range of values

### BayesianNetworkScoringFunctionParameterSet

    public BayesianNetworkScoringFunctionParameterSet()

  Creates a new `BayesianNetworkScoringFunctionParameterSet` with empty parameter values.

### BayesianNetworkScoringFunctionParameterSet

    public BayesianNetworkScoringFunctionParameterSet(StringBuffer representation)
                                               throws NonParsableException

  Creates a new `BayesianNetworkScoringFunctionParameterSet` from its XML representation as defined by the `Storable` interface.

  Parameters:
    `representation` - the XML code as `StringBuffer`
  Throws:
    `NonParsableException` - is thrown if the XML representation could not be parsed

Method Detail

### getEss

    public double getEss()

  Returns the equivalent samples size (ess) defined in this set of parameters.

  Returns:
    the ess

### getPlugInParameters

    public boolean getPlugInParameters()

  Returns true if plug-in parameters shall be used when creating a `BayesianNetworkScoringFunction` from this set of parameters.

  Returns:
    if plug-in parameters shall be used

### getMeasure

    public Measure getMeasure()
                       throws ParameterSetParser.NotInstantiableException

  Returns the structure `Measure` defined by this set of parameters.

  Returns:
    the structure `Measure`
  Throws:
    `ParameterSetParser.NotInstantiableException` - if the `Measure` could not be created from its own `InstanceParameterSet`

### getInstanceComment

    public String getInstanceComment()

  Description copied from class: `InstanceParameterSet`
  Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceComment` in class `InstanceParameterSet`
  Returns:
    the comment of the class

### getInstanceName

    public String getInstanceName()

  Description copied from class: `InstanceParameterSet`
  Returns the name of an instance of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceName` in class `InstanceParameterSet`
  Returns:
    the name of the class

### loadParameters

    protected void loadParameters()
                           throws Exception

  Description copied from class: `ParameterSet`
  Loads the parameters for this `ParameterSet`. This is in most cases done by calling `ParameterSet.initParameterList()` or `ParameterSet.initParameterList(int)` to initialize `ParameterSet.parameters` and afterwards filling `ParameterSet.parameters` with instances of subclasses of `Parameter`.

  Specified by:
    `loadParameters` in class `ParameterSet`
  Throws:
    `Exception` - if the parameters could not be loaded
  See Also:
    `Parameter`, `ParameterSet.parameters`, `ParameterSet.initParameterList()`, `ParameterSet.initParameterList(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD